<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_161) on Fri Nov 23 22:08:06 CET 2018 -->
<title>Uses of Class fr.epita.quiz.datamodel.MCQChoice</title>
<meta name="date" content="2018-11-23">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class fr.epita.quiz.datamodel.MCQChoice";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/epita/quiz/datamodel/class-use/MCQChoice.html" target="_top">Frames</a></li>
<li><a href="MCQChoice.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class fr.epita.quiz.datamodel.MCQChoice" class="title">Uses of Class<br>fr.epita.quiz.datamodel.MCQChoice</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#fr.epita.quiz.services.data">fr.epita.quiz.services.data</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#fr.epita.quiz.services.web.api.transport">fr.epita.quiz.services.web.api.transport</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="fr.epita.quiz.services.data">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a> in <a href="../../../../../fr/epita/quiz/services/data/package-summary.html">fr.epita.quiz.services.data</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../fr/epita/quiz/services/data/package-summary.html">fr.epita.quiz.services.data</a> that return types with arguments of type <a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.Map&lt;<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>,java.util.List&lt;<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">QuizDataservice.</span><code><span class="memberNameLink"><a href="../../../../../fr/epita/quiz/services/data/QuizDataservice.html#deleteCertainQuestions-fr.epita.quiz.datamodel.Question-">deleteCertainQuestions</a></span>(<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>&nbsp;question)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>,java.util.List&lt;<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">QuizDataservice.</span><code><span class="memberNameLink"><a href="../../../../../fr/epita/quiz/services/data/QuizDataservice.html#findCertainQuestion-fr.epita.quiz.datamodel.Question-">findCertainQuestion</a></span>(<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>&nbsp;question)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Class&lt;<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MCQChoiceDAO.</span><code><span class="memberNameLink"><a href="../../../../../fr/epita/quiz/services/data/MCQChoiceDAO.html#getType--">getType</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MCQChoiceDAO.</span><code><span class="memberNameLink"><a href="../../../../../fr/epita/quiz/services/data/MCQChoiceDAO.html#search-fr.epita.quiz.datamodel.MCQChoice-">search</a></span>(<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&nbsp;mcqChoiceCriteria)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../fr/epita/quiz/services/data/package-summary.html">fr.epita.quiz.services.data</a> with parameters of type <a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MCQChoiceDAO.</span><code><span class="memberNameLink"><a href="../../../../../fr/epita/quiz/services/data/MCQChoiceDAO.html#search-fr.epita.quiz.datamodel.MCQChoice-">search</a></span>(<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&nbsp;mcqChoiceCriteria)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../fr/epita/quiz/services/data/package-summary.html">fr.epita.quiz.services.data</a> with type arguments of type <a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">QuizDataservice.</span><code><span class="memberNameLink"><a href="../../../../../fr/epita/quiz/services/data/QuizDataservice.html#createQuestionWithChoices-fr.epita.quiz.datamodel.Question-java.util.List-">createQuestionWithChoices</a></span>(<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>&nbsp;question,
                         java.util.List&lt;<a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a>&gt;&nbsp;choices)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="fr.epita.quiz.services.web.api.transport">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a> in <a href="../../../../../fr/epita/quiz/services/web/api/transport/package-summary.html">fr.epita.quiz.services.web.api.transport</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../fr/epita/quiz/services/web/api/transport/package-summary.html">fr.epita.quiz.services.web.api.transport</a> that return <a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">MCQChoice</a></code></td>
<td class="colLast"><span class="typeNameLabel">MCQChoiceMessage.</span><code><span class="memberNameLink"><a href="../../../../../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html#toMCQChoice-fr.epita.quiz.datamodel.Question-">toMCQChoice</a></span>(<a href="../../../../../fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel">Question</a>&nbsp;question)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/epita/quiz/datamodel/class-use/MCQChoice.html" target="_top">Frames</a></li>
<li><a href="MCQChoice.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
